package cn.com.poc.thirdparty.resource.demand.ai.function.web_seach;

/**
 * @author alex.yao
 * @date 2025/1/14
 */
public class WebSearchFunctionResult {

    private String title;

    private String url;
//
    private String htmlContent;


    private String content;


    public String getHtmlContent() {
        return htmlContent;
    }

    public void setHtmlContent(String htmlContent) {
        this.htmlContent = htmlContent;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

//    public String getSnippet() {
//        return snippet;
//    }
//
//    public void setSnippet(String snippet) {
//        this.snippet = snippet;
//    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    @Override
    public String toString() {
        return "{" +
//                "title='" + title + '\'' +
//                ", url='" + url + '\'' +
//                ", snippet='" + snippet + '\'' +
                "content='" + content + '\'' +
                '}';
    }
}
